Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Partial Class USU_ExperienciaDbHelper

#Region "Metodos Personalizados"
    ' Definir en esta region los metodos personalizados para el DbHelper
    Public Function VerificarActivo(idUsuario As Integer) As Boolean
        Dim QueryObject = Me.CreateQueryObject
        'QueryObject.CreateQuery(0)
        'QueryObject.Where(_None, _Equals).tipoReferencia = tipoReferencia
        'QueryObject.Where(_And, _Equals).idUsuario = idUsuario



        QueryObject.CreateQuery("select CASE WHEN COUNT(*) > 0 THEN 1 ELSE 0 END AS Expr1  from USU_Experiencia")
        QueryObject.CreateQuery("where idUsuario = @idUsuario")
        QueryObject.CreateQuery("and activo = 1")

        QueryObject.AddParameter("@idUsuario", SqlDbType.Int, idUsuario)


        Return CBool(QueryObject.ExecuteScalar())
    End Function
#End Region
End Class
